<div class="app-wrapper">
  <header [ngStyle]="{paddingRight: isAuth ? '14px' : '22px'}">
    <div class="header-left">
      <a (click)="goBack()">
        <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
          <path d="M11 5L4 12L11 19" stroke="#2C3A4B" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
          <path d="M4 12H20" stroke="#2C3A4B" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
        </svg>
      </a>
    </div>
    <div class="header-middle">
      <span [ngStyle]="{transform: isAuth ? 'translateX(-4px)' : ''}">Ledius</span>
    </div>
    <div class="header-right">
      <button *ngIf="!isAuth" (click)='menuClickHandler()'>
        <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
          <path d="M5 18H19M5 6H19H5ZM5 12H19H5Z" stroke="#2C3A4B" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
        </svg>
      </button>
      <button class="profile" *ngIf="isAuth" (click)='menuClickHandler()'>
        <span>≈{{ balance.toFixed() }} LDS</span>
        <picture>
          <img [src]="profileAvatar" alt="">
        </picture>
      </button>
    </div>
  </header>
    <section class="main-wrapper">
      <app-menu
        [(opened)]="isMenuOpen"
        [balance]="balance"
        [isAuth]="isAuth"
        [profileAvatar]="profileAvatar"
        [profileEmail]="profileEmail"
        [profileName]="profileName"
        (login)="onLogin()"
        (logout)="onLogout()"
      ></app-menu>
      <main>
        <router-outlet></router-outlet>
      </main>
    </section>
</div>

<app-toast *ngIf="true"></app-toast>
